Text Suggestions API از ابزارهای هوش مصنوعی زایای Product Studio API برای تولید و بهینهسازی عنوانها و شرحهای محصول استفاده میکند. میتوانید از آن برای بهبود تعامل و تبدیل مشتری و سادهسازی فرایند مدیریت و بهروزرسانی اطلاعات محصول استفاده کنید. ویژگیهای Product Studio API میتواند به شما کمک کند عملکرد خردهفروشیتان را بهینهسازی کنید.
بااستفاده از API چه چیزهایی میتوانید تولید کنید؟
Text Suggestions API به شما کمک میکند کارهای زیر را انجام دهید:
- عنوانها و شرحهای پیشنهادی محصول براساس تصویر محصول و/یا مشخصههای محصول.
- عنوانهای بهینهسازیشده با SEO برای محصولات شما
- عنوانهای قالببندیشده سفارشی برای محصولات شما
- شرح محصول از فید محصول شما
همچنین میتوانید لحن صدا را برای شرحها مشخص کنید و ثبات را در همه فهرستگان محصولاتتان حفظ کنید.
راهاندازی سریع
روش GenerateProductTextSuggestions میتواند بااستفاده از اطلاعات محصولتان، عنوانها و شرحهای محصول را تولید یا بهینهسازی کند.
میانای برنامهسازی کاربردی موارد زیر را میپذیرد:
- مشخصههای محصول (واژهنامه JSON): شیء JSON حاوی مشخصههای محصول (مانند
{"title": "White Tee", "brand": "MyBrand", "size": "XL"}) - تصویر محصول: شناسه منبع یکسانی که به تصویر محصول اشاره میکند (مانند
{"uri": "https://my-store.com/img/1.png"}) - گزینههای قالببندی عنوان: پارامترهای سفارشیسازی تولید عنوان،
ازجمله:
attribute_separator: جداکننده بین مشخصهها را تعیین میکند.-
target_language: زبان برونداد را تنظیم میکند. -
attribute_order: ترتیب مشخصهها را در عنوان تولیدشده تعریف میکند.
- نمونههای برچسبگذاری داده: نمونهای از نحوه تولید عنوان از شرح را ببینید.
- شناسه گردش کار (
output_spec.workflow_id): فیلدworkflow_idدر شیءoutput_specنوع تولید نوشتار را تعیین میکند:-
title: عنوان محصول را تولید یا بهینهسازی میکند. -
description: شرح محصول را تولید یا بهینهسازی میکند. tide: هم عنوان و هم شرح محصول را تولید یا بهینهسازی میکند.
-
مثالها
در زیر نمونههایی از استفاده از میانای برنامهسازی کاربردی برای تولید یا بهینهسازی عنوان یا شرح یا هر دو از ورودیهای مختلف دادههای محصول آورده شده است. همچنین خطاها و مشکلات رایج و راهحلهای آنها را ارائه میدهیم.
تولید عنوان بهینهسازیشده
این مثال نشان میدهد که چگونه میتوان عنوان بهینه ایجاد کرد.
درخواست
بدنه درخواست حاوی اطلاعات محصولی است که برای بهینهسازی عنوان استفاده میشود. در اینجا نمونهای از ساختار درخواست آورده شده است:
POST https://merchantapi.googleapis.com/productstudio/v1alpha/accounts/{ACCOUNT_ID}:generateProductTextSuggestions
{
"product_info": {
"product_attributes": {
"title": "Nike Mens shoes",
"description": "Give strength to your step with the Nike Air Zoom Pegasus 38 shoe for Men with shoe size 12. Ensuring the fit is loved by the runners. This shoes comes in Blue color.",
"brand": "Nike"
}
},
"output_spec": {
"workflow_id": "title"
}
}
پاسخ
میتوانید انتظار پاسخی مانند این را داشته باشید
{
"title": {
"text": "Nike Mens shoes Air Zoom Pegasus 38 Running Shoes, Blue, Size 12"
},
"metadata": {
"metadata": {
"attributes": {
"color": "Blue",
"size": "12",
"product": "Running shoes",
"model": "Air Zoom Pegasus 38"
},
}
}
}
تولید عنوان فقط از روی تصویر
این مثال نشان میدهد که چگونه تصویر محصول را ارائه دهید و عنوان بهینه تولید کنید.
درخواست
POST https://merchantapi.googleapis.com/productstudio/v1alpha/accounts/{ACCOUNT_ID}:generateProductTextSuggestions
{
"product_info": {
"product_image":{
"uri": "https://cdn.shopify.com/s/files/1/0653/5879/0892/products/1672082339438_550x825.jpg?v=1672082415"
}
},
"output_spec": {
"workflow_id": "title",
"attribute_separator": "-"
}
}
پاسخ
{
"title": {
"text": "Rustic Ceramic & Leather Leaves Necklace"
},
"metadata": {
"metadata": {
"attributes": {
"material": "Rustic Ceramic & Leather",
"pattern": "Leaves",
"product": "Necklace"
},
}
}
}
تولید عنوان از روی شرح
این مثال نشان میدهد که چگونه شرح محصول را ارائه دهید و عنوان بهینه تولید کنید.
درخواست
POST https://merchantapi.googleapis.com/productstudio/v1alpha/accounts/{ACCOUNT_ID}:generateProductTextSuggestions
{
"product_info": {
"product_attributes": {
"description": "selling size 12 nike dunks. oh they are red by the way!"
}
},
"output_spec": {
"workflow_id": "title",
}
}
پاسخ
{
"title": {
"text": "Nike Dunks Red Size 12"
},
"metadata": {
"metadata": {
"attributes": {
"brand": "Nike",
"color": "Red",
"size": "12",
"product": "Dunks"
},
}
}
}
بهینهسازی عنوانها از عنوان و شرح (همراه با نمونه سفارشی)
در این مثال، مشخصههای محصولی را که میخواهیم هوش مصنوعی شناسایی کند و ترتیب مشخصهها در خروجی را بهطور صریح برچسبگذاری میکنیم.
درخواست
POST https://merchantapi.googleapis.com/productstudio/v1alpha/accounts/{ACCOUNT_ID}:generateProductTextSuggestions
{
"product_info": {
"product_attributes": {
"title": "Volumizing & Lengthening Mascara - Dark Brown",
"description": "This high-impact mascara delivers both voluptuous volume and dramatic length without clumping or smudging.",
"brand": "Luxe Beauty"
}
},
"output_spec": {
"workflow_id": "title"
}
"title_examples": [
{
"product_info": {
"title": "Lash Paradise Volumizing & Lengthening Mascara - Waterproof - Blackest Black",
"colour": "Black"
},
"title_format": "product",
"category": "mascara",
"final_product_info": {
"product": "Mascara",
"brand": "Lash Paradise",
"mascara_type": "Volumizing & Lengthening",
"colour": "Blackest Black",
"waterproof": "Waterproof",
}
},
{
"product_info": {
"title": "Hypnose Drama Instant Full Body Volume Mascara - Black",
"colour": "Black"
},
"title_format": "product",
"category": "mascara",
"final_product_info": {
"product": "Mascara",
"brand": "Hypnose",
"sub_brand": "Drama",
"mascara_type": "Full Body Volume",
"colour": "Black",
"eye_lash_type": "All lash types"
}
}
]
}
پاسخ
{
"title": {
"text": "Luxe Beauty Dark Brown Volumizing & Lengthening Mascara"
},
"metadata": {
"metadata": {
"attributes": {
"brand": "Luxe Beauty",
"colour": "Dark Brown",
"mascara_type": "Volumizing & Lengthening",
"product": "Mascara"
},
}
}
}
تولید کردن شرح از عنوان
این مثال نشان میدهد که چگونه عنوان محصول را ارائه دهید و از API بخواهید شرح محصول مربوطه را تولید کند.
درخواست
POST https://merchantapi.googleapis.com/productstudio/v1alpha/accounts/{ACCOUNT_ID}:generateProductTextSuggestions
{
"product_info": {
"product_attributes": {
"title": "Rustic Ceramic & Leather Leaves Necklace",
}
},
"output_spec": {
"workflow_id": "description"
}
}
پاسخ
{
"description": {
"text": "Rustic Ceramic & Leather Leaves Necklace is a beautiful necklace made from high-quality ceramic and leather. It features a unique design that is sure to turn heads.
"
},
}
تولید عنوان و شرح از مشخصههای محصول (مثل نمانام و رنگ)
این مثال نشان میدهد که چگونه میتوان مشخصههای محصول را برای تولید عنوان و شرح محصول بهینه ارائه کرد.
درخواست
POST https://merchantapi.googleapis.com/productstudio/v1alpha/accounts/{ACCOUNT_ID}:generateProductTextSuggestions
{
"product_info": {
"product_attributes": {
"brand": "Mr. Beast",
"color": "purple",
},
"product_image":{
"uri": "https://mrbeast.store/cdn/shop/files/0015dlv_0000_327.jpg?v=1702754475&width=500"
}
},
"output_spec": {
"workflow_id": "description"
}
}
پاسخ
{
"title": {
"text": "Pajamas - Mr. Beast | Purple"
},
"description": {
"text": "Slip into the ultimate comfort and style with these Mr. Beast pajamas in a vibrant shade of purple. Crafted from the softest materials, these pajamas will envelop you in a cozy embrace, ensuring a restful night's sleep. The shorts feature a relaxed fit, allowing for easy movement, while the top boasts a classic design with a comfortable neckline. Whether you're lounging at home or drifting off to dreamland, these Mr. Beast pajamas are the perfect choice for a peaceful and stylish slumber."
},
}
پشتیبانی از زبان مقصد
این فیلد زبان نوشتار شرح تولیدشده در پاسخ میانای برنامهسازی کاربردی را مشخص میکند. میتوانید target_language را بهعنوان بخشی از پارامترهای output_spec اضافه کنید:
{
"output_spec": {
"target_language": "language"
}
}
مقادیر نمونه:
"korean" (Korean)
"english" (English)
"spanish" (Spanish)
"french" (French)
درخواست نمونه
POST https://merchantapi.googleapis.com/productstudio/v1alpha/accounts/{ACCOUNT_ID}:generateProductTextSuggestions
{
"product_info": {
"product_attributes": {
"title": "Granos de café negro",
"description": "Los granos de café negro en California",
"brand": "Parfums de Paris",
"scent": "Floral",
},
"product_image":{
"uri": "https://mrbeast.store/cdn/shop/files/0015dlv_0000_327.jpg?v=1702754475&width=500"
}
},
"output_spec": {
"workflow_id": "description",
"target_language": "japanese",
"attribute_order": ["scent", "product"],
"tone": "playful",
}
}
پاسخ
{
"description": {
"text": "カリフォルニアの黒いコーヒー豆は、あなたの鼻をくすぐる、甘く、フローラルな香りです。この香りは、コーヒー豆の豊かな香りと、ジャスミンとバラの繊細な花の香りをブレンドしたものです。カリフォルニアの黒いコーヒー豆は、あなたの家を居心地の良いカフェに変え、あなたをリラックスした気分にさせてくれるでしょう。この香りは、コーヒー好きにも、フローラルな香り好きにも最適です。カリフォルニアの黒いコーヒー豆で、あなたの家を幸せな香りで満たしましょう!."
},
}
شخصیسازی لحن صدا برای تولید شرح
برای کمک به ایجاد نمانام خود و متمایز کردن فروشگاه آنلاینتان از دیگران، میتوانید لحن گفتار شرحهای تولیدشده را شخصیسازی کنید. Text API دو گزینه ارائه میدهد:
- انتخاب لحن ازپیشتعریفشده: میتوانید از فهرستی از لحنها برای تولید شرحهای جدید انتخاب کنید. این فهرست شامل این سبکهای لحن است:
- پیشفرض: ساده، واضح، و زیبا.
- شوخطبع: بیتکلف، بااستفاده از زبان مثبت، شوخطبعی (جوک، جناس)، و اغراق (بدون کنایه، طعنه، یا اموجی).
- رسمی: انگلیسی استاندارد، دستور زبان مناسب، جملات کامل، بدون اصطلاحات عامیانه یا مخفف.
- متقاعدکننده: منطقی، مختصر، و استدلالمحور برای متقاعد کردن خواننده.
- محاورهای: زبان دوستانه، قابلفهم، و روزمره.
- لحن مختص نمانام: میتوانید شرحهای موجود یا سایر داراییهای نوشتاری را با لحن نمانامتان ارائه دهید. مدل «هوش مصنوعی زایا» لحن نوشتار را تحلیل میکند و براساس این جنبهها «توصیفکننده سبک نوشتاری» تولید میکند:
- رسمی بودن (مثلاً رسمی، غیررسمی)
- سطح جزئیات (مثلاً، مختصر، بسیار طولانی)
- لحن (مانند حرفهای، آموزنده، مثبت، متقاعدکننده)
- ساختار جمله (مثلاً «جمله ساده با چند حرف ربط»)
- پراستفادهترین واژهها و عبارتها
کتابخانههای مشتری
توصیه میکنیم برای ارسال درخواستهایتان از کتابخانههای کارخواه استفاده کنید. کتابخانههای مشتری را با شما همرسانی میکنیم تا بتوانید آنها را در پروژه Maven خود نصب کنید.
نمونههای کد
روش اصالتسنجیتان را انتخاب کنید و این نمونه کدها را بااستفاده از این دستورالعملها راهاندازی کنید. در اینجا نمونهای آورده شده است که میتوانید از آن برای تولید پیشنهادهای نوشتاری استفاده کنید.
جاوا
import com.google.api.gax.core.FixedCredentialsProvider;
import com.google.auth.oauth2.GoogleCredentials;
import com.google.shopping.merchant.productstudio.v1alpha.GenerateProductTextSuggestionsRequest;
import com.google.shopping.merchant.productstudio.v1alpha.GenerateProductTextSuggestionsResponse;
import com.google.shopping.merchant.productstudio.v1alpha.OutputSpec;
import com.google.shopping.merchant.productstudio.v1alpha.ProductInfo;
import com.google.shopping.merchant.productstudio.v1alpha.TextSuggestionsServiceClient;
import com.google.shopping.merchant.productstudio.v1alpha.TextSuggestionsServiceSettings;
import shopping.merchant.samples.utils.Authenticator;
import shopping.merchant.samples.utils.Config;
/** This class demonstrates how to generate product text suggestions. */
public class GenerateProductTextSuggestionsSample {
private static String getName(String accountId) {
return String.format("accounts/%s", accountId);
}
public static void generateProductTextSuggestions(Config config) throws Exception {
// Obtains OAuth token based on the user's configuration.
GoogleCredentials credential = new Authenticator().authenticate();
TextSuggestionsServiceSettings textSuggestionsServiceSettings =
TextSuggestionsServiceSettings.newBuilder()
.setCredentialsProvider(FixedCredentialsProvider.create(credential))
.build();
String name = getName(config.getAccountId().toString());
// Calls the API and catches and prints any network failures/errors.
try (TextSuggestionsServiceClient textSuggestionsServiceClient =
TextSuggestionsServiceClient.create(textSuggestionsServiceSettings)) {
ProductInfo productInfo =
ProductInfo.newBuilder()
.putProductAttributes("title", "Mens shirt")
.putProductAttributes("description", "A blue shirt for men in size S")
.build();
OutputSpec outputSpec = OutputSpec.newBuilder().setWorkflowId("title").build();
GenerateProductTextSuggestionsRequest request =
GenerateProductTextSuggestionsRequest.newBuilder()
.setName(name)
.setProductInfo(productInfo)
.setOutputSpec(outputSpec)
.build();
System.out.println("Sending GenerateProductTextSuggestions request: " + name);
GenerateProductTextSuggestionsResponse response =
textSuggestionsServiceClient.generateProductTextSuggestions(request);
System.out.println("Generated product text suggestions response below:");
System.out.println(response);
} catch (Exception e) {
System.out.println("An error has occured: ");
System.out.println(e);
}
}
public static void main(String[] args) throws Exception {
Config config = Config.load();
generateProductTextSuggestions(config);
}
}
Python
"""A module to generate product text suggestions."""
from examples.authentication import configuration
from examples.authentication import generate_user_credentials
from google.shopping.merchant_productstudio_v1alpha import GenerateProductTextSuggestionsRequest
from google.shopping.merchant_productstudio_v1alpha import OutputSpec
from google.shopping.merchant_productstudio_v1alpha import ProductInfo
from google.shopping.merchant_productstudio_v1alpha import TextSuggestionsServiceClient
# Fetches the Merchant Center account ID from the configuration file.
# This ID is used to construct the 'name' for the API request.
_ACCOUNT_ID = configuration.Configuration().read_merchant_info()
# The parent resource name for the GenerateProductTextSuggestionsRequest.
# Format: "accounts/{account}"
_PARENT_RESOURCE_NAME = f"accounts/{_ACCOUNT_ID}"
def generate_product_text_suggestions_sample():
"""Generates product text suggestions for a given product."""
# Gets OAuth Credentials.
credentials = generate_user_credentials.main()
# Creates a client for the TextSuggestionsService.
client = TextSuggestionsServiceClient(credentials=credentials)
# Defines the product information for which suggestions are needed.
# This includes attributes like title and description.
product_info = ProductInfo(
product_attributes={
"title": "Mens shirt",
"description": "A blue shirt for men in size S",
}
)
# Defines the output specification.
# The 'workflow_id' specifies the type of text suggestion, e.g., "title".
output_spec = OutputSpec(workflow_id="title")
# Creates the request object for generating product text suggestions.
# It includes the parent resource name, product information, and output
# specification.
request = GenerateProductTextSuggestionsRequest(
name=_PARENT_RESOURCE_NAME,
product_info=product_info,
output_spec=output_spec,
)
# Sends the request to the API.
print(
f"Sending GenerateProductTextSuggestions request: {_PARENT_RESOURCE_NAME}"
)
try:
response = client.generate_product_text_suggestions(request=request)
# Prints the generated suggestions.
print("Generated product text suggestions response below:")
print(response)
except RuntimeError as e:
# Catches and prints any errors that occur during the API call.
print("An error has occured: ")
print(e)
if __name__ == "__main__":
generate_product_text_suggestions_sample()
خطاها و مشکلات رایج
در اینجا چند مشکل رایج و راهحل آنها آورده شده است.
برای تولید پیشنهادهای نوشتاری، اطلاعات محصول لازم است
اگر پیام خطای زیر را دریافت کردید
Error message:
"error": {
"code": 400,
"message": "[product_info] Product info is required to generate text suggestions.",
"status": "INVALID_ARGUMENT",
...
}
product_info را در بدنه درخواست اضافه کنید و حداقل یکی از
product_attributes یا product_image را بهدرستی پر کنید.
برای مثال، پست کردن این مورد منجر به خطا میشود.
POST https://merchantapi.googleapis.com/productstudio/v1alpha/accounts/{ACCOUNT_ID}:generateProductTextSuggestions
{
"output_spec": {
"workflow_id": "title"
}
}
برای تولید پیشنهادهای نوشتاری، حداقل یک فیلد product_info لازم است
این خطا
{
"error": {
"code": 400,
"message": "[product_info.product_attributes] At least one field of product_info is required to generate text suggestions.",
"status": "INVALID_ARGUMENT",
...
}
نشان میدهد که باید حداقل یک فیلد product_info در بدنه درخواست اضافه کنید.
برای مثال، پست کردن این مورد منجر به خطا میشود.
POST https://merchantapi.googleapis.com/productstudio/v1alpha/accounts/{ACCOUNT_ID}:generateProductTextSuggestions
{
"product_info": {
},
"output_spec": {
"workflow_id": "title"
}
}
درعوض از چیزی شبیه به این استفاده کنید
"product_info": {
"product_attributes": {
"description": "Selling size 12 Nike dunks. Oh they are red by the way!"
}
}
یا
"product_info": {
"product_image":{
"uri": "https://cdn.shopify.com/s/files/1/0653/5879/0892/products/1672082339438_550x825.jpg?v=1672082415"
}
}
(Something) is required in each title_example
خطاهایی مانند چهار مثال زیر
{
"error": {
"code": 400,
"message": "[title_examples.product_info] At least one field of product_info is required in each title_example.",
"status": "INVALID_ARGUMENT",
...
}
یا
{
...
"message": "[title_examples.category] Category is required in each title_example.",
...
}
یا
{
...
"message": "[title_examples.title_format] Title format is required in each title_example.",
...
}
یا
{
...
"message": "[title_examples.final_product_info] At least one field of final_product_info is required in each title_example.",
...
}
نشان میدهد که زیرفیلد الزامی را پر نکردهاید.
برای مثال، درخواست زیر خطا ایجاد میکند.
POST https://merchantapi.googleapis.com/productstudio/v1alpha/accounts/{ACCOUNT_ID}:generateProductTextSuggestions
{
"product_info": {
"product_attributes": {
"description": "selling size 12 nike dunks. oh they are red by the way!"
}
},
"output_spec": {
"workflow_id": "title"
},
"title_examples": []
}
برای حل این مشکل، برای هر title_example مشخصشده در درخواست، همه زیرفیلدهای زیر را تکمیل کنید:
product_infocategorytitle_formatfinal_product_info
در اینجا مثالی آورده شده است که کار میکند:
{
"product_info": {
"product_attributes": {
"title": "Volumizing & Lengthening Mascara - Dark Brown",
"description": "This high-impact mascara delivers both voluptuous volume and dramatic length without clumping or smudging.",
}
},
"output_spec": {
"workflow_id": "title"
},
"title_examples": [
{
"product_info": {
"title": "Lash Paradise Volumizing & Lengthening Mascara - Waterproof - Blackest Black",
"colour": "Black"
},
"title_format": "product",
"category": "mascara",
"final_product_info": {
"product": "Mascara",
"brand": "Lash Paradise",
"mascara_type": "Volumizing & Lengthening",
"colour": "Blackest Black",
"waterproof": "Waterproof",
}
}
]
}
workflow_id پشتیبانی نشده است
این نوع خطا
{
"error": {
"code": 400,
"message": "[\u003ceye3 title='/ProductStudioTextGenerationService.GenerateProductText, INVALID_ARGUMENT'/\u003e APPLICATION_ERROR; ... ;Unsupported workflow_id: attributes. Supported workflows are: [\"title\", \"description\", \"tide\"];AppErrorCode=3;StartTimeMs=1740696804045;unknown;ResFormat=uncompressed;ServerTimeSec=0.005976589;LogBytes=256;Non-FailFast;EffSecLevel=none;ReqFormat=uncompressed;ReqID=4d1786f59faa3ea7;GlobalID=0;Server=[2002:a05:6e16:618:b0:2c2:7cfc:bebd]:14001] Invalid value",
"status": "INVALID_ARGUMENT",
...
}
از درخواستی مانند این حاصل میشود
POST https://merchantapi.googleapis.com/productstudio/v1alpha/accounts/{ACCOUNT_ID}:generateProductTextSuggestions
{
"product_info": {
"product_attributes": {
"title": "Volumizing & Lengthening Mascara - Dark Brown",
"description": "This high-impact mascara delivers both voluptuous volume and dramatic length without clumping or smudging.",
},
"output_spec": {
"workflow_id": "attributes"
}
}
درخواست workflow_id را روی «مشخصهها» تنظیم میکند، اما این فیلد فقط از یکی از مقادیر زیر پشتیبانی میکند:
- title: عنوان محصول را تولید یا بهینهسازی میکند.
- description: شرح محصول را تولید یا بهینهسازی میکند.
- tide: هم عنوان و هم شرح محصول را تولید یا بهینهسازی میکند.
لحن پشتیبانینشده
خطای «لحن پشتیبانینشده» مانند
{
"error": {
"code": 400,
"message": "[\u003ceye3 title='/ProductStudioTextGenerationService.GenerateProductText, INVALID_ARGUMENT'/\u003e APPLICATION_ERROR; ... ; Unsupported tone: 'asdf'. Supported tones are: [\"default\", \"playful\", \"formal\", \"persuasive\", \"conversational\"];AppErrorCode=3;StartTimeMs=1740697325058;unknown;ResFormat=uncompressed;ServerTimeSec=7.45346E-4;LogBytes=256;Non-FailFast;EffSecLevel=none;ReqFormat=uncompressed;ReqID=f7d9bbbc73a1d342;GlobalID=0;Server=[2002:a05:6918:3486:b0:2bc:ccd4:79e6]:14001] Invalid value",
"status": "INVALID_ARGUMENT",
...
}
از درخواستی مانند
POST https://merchantapi.googleapis.com/productstudio/v1alpha/accounts/{ACCOUNT_ID}:generateProductTextSuggestions
{
"product_info": {
"product_attributes": {
"title": "Volumizing & Lengthening Mascara - Dark Brown",
"description": "This high-impact mascara delivers both voluptuous volume and dramatic length without clumping or smudging.",
},
"output_spec": {
"workflow_id": "description"
"tone": "cheerful"
}
}
توجه داشته باشید که tone روی «cheerful» (شاد) تنظیم شده است، اما این فیلد فقط از یکی از مقادیر زیر پشتیبانی میکند:
- پیشفرض: ساده، واضح، و زیبا.
- شوخطبع: بیتکلف، بااستفاده از زبان مثبت، طنز (جوک، جناس)، و اغراق (بدون کنایه، طعنه، یا اموجی).
- رسمی: انگلیسی استاندارد، دستور زبان صحیح، جملات کامل، بدون زبان عامیانه یا مخفف.
- متقاعدکننده: منطقی، مختصر، و استدلالمحور برای متقاعد کردن خواننده.
- محاورهای: زبان دوستانه، قابلفهم، و روزمره.